## osso-backup 1.4.4-1

=== debian/changelog ===
osso-backup (1.4.4-1) unstable; urgency=low

  * Fixes: NB#44112, BlueZ settings need to be properly restored

 -- Richard Hult <richard@imendio.com>  Fri, 27 Oct 2006 15:49:54 +0200

osso-backup (1.4.3-1) unstable; urgency=low

  * Fixes: NB#43404, Main window buttons are not according to layout guide
  * Fixes: NB#43530, 3. Backup list in the Backup/Restore dialog does not
  * Fixes: NB#43266, Backup; Back up with special characters in name
  * Remove flickering when updating the backup list

 -- Richard Hult <richard@imendio.com>  Fri, 20 Oct 2006 16:31:22 +0200

osso-backup (1.4.2-1) unstable; urgency=low

  * Fixes: NB#43085, Wrong layout in Backup main view
  * Fixes: NB#43266, Backup; Back up with special characters in name

 -- Richard Hult <richard@imendio.com>  Fri, 13 Oct 2006 16:28:18 +0200

osso-backup (1.4.1-1) unstable; urgency=low

  * Fixes: NB#42177, Wrong notification given when User connects USB cable
  * Fixes: NB#39873, Backup; Truncation; Default name of backup file truncated
  * Fixes: NB#42163, User installed application catalogues cannot be restored
  * Add gconf build dep, needed for the USB cable change above

 -- Richard Hult <richard@imendio.com>  Fri,  6 Oct 2006 15:49:55 +0200

osso-backup (1.4.0-1) unstable; urgency=low

  * Fixes: NB#41011, 'Restore backup from startup' note does not appear at
  * Fixes: NB#41577, Thumbview of Backup/Restore menu does not contain second
  * Fixes: NB#35931, Info banner is not displayed when dimmed application
  * Add debug package

 -- Richard Hult <richard@imendio.com>  Fri, 29 Sep 2006 15:25:09 +0200

osso-backup (1.3.16-1) unstable; urgency=low

  * Fixes: NB#39502, Unable to change the language settings when the restore
  * Fixes: NB#40994, Vertical scroll bar in Backup main view scrolls to the
  * Fixes: NB#40952, Unnamed internal memory card is wrongly displayed in
  * Fixes: NB#39873, Backup; Truncation; Default name of backup file truncated

 -- Richard Hult <richard@imendio.com>  Fri, 22 Sep 2006 16:21:43 +0200

osso-backup (1.3.15-1) unstable; urgency=low

  * Fixes: NB#40353, Backup list not updated when creating the backups...

 -- Richard Hult <richard@imendio.com>  Fri, 15 Sep 2006 15:07:42 +0200

osso-backup (1.3.14-1) unstable; urgency=low

  * Fixes: NB#34599, After selecting Rename in version conflict dialog...

 --  Richard Hult <richard@imendio.com>  Fri,  8 Sep 2006 15:07:42 +0200

osso-backup (1.3.13-1) unstable; urgency=low

  * Fixes: NB#37133, Ellipsize just the backup name, not the date
  * Change to use HildonWindow instead of HildonApp/View
  * Fix potential refcount problem in backup name dialog
  * Update for UI spec 6.0, new insensitive press banners

 --  Richard Hult <richard@imendio.com>  Fri, 25 Aug 2006 16:12:08 +0200

osso-backup (1.3.12-1) unstable; urgency=low

  * Fixes: NB#37200, Don't go to full screen mode if already in that mode
  * Fixes: NB#32480, Date timestamp not shown in version conflict dialog

 --  Martyn Russell <martyn@imendio.com>  Fri, 18 Aug 2006 15:42:14 +0100

osso-backup (1.3.11-1) unstable; urgency=low

  * Fixes: NB#33153, Listen for MCE shutdown dbus signal and quit
  * Fixes: NB#30029, Show banner for backup names with invalid characters
  * Bump libogs dependency to 1.3.0

 --  Martyn Russell <martyn@imendio.com>  Fri, 11 Aug 2006 16:42:14 +0100

osso-backup (1.3.10-1) unstable; urgency=low

  * Fixes: NB#33955, update for new UI spec 5.0
  * Fixes: NB#34307, update strings for new spec
  * Fixes: NB#33195, select the card with the latest backup on it
  * Fixes: NB#34314, set explicit ellipsize mode for treeview colums
  * Set the date cell to be right-aligned according to the layout guide
  * Make the backup list get focus on startup to make keynav work
  * Partly fixes NB #33153, allow getting killed when going to charging mode

 --  Richard Hult <richard@imendio.com>  Fri,  4 Aug 2006 16:42:14 +0200

osso-backup (1.3.9-1) unstable; urgency=low

  * Add version check for it-2007 or restore scripts

 --  Richard Hult <richard@imendio.com>  Wed, 21 Jun 2006 16:42:14 +0200

osso-backup (1.3.8-1) unstable; urgency=low

  * Fixes: NB#30887, change logical id according to UI spec
  * Fixes: NB#30870, deleting backup file from the file manager is 
    not reflected in the backup application main view. 
  * Go to fullscreen mode before restoring, and center progress dialog
  * Fix detection of backups on external card for startup sequence
  * Don't quit from startup sequence when cards are removed

 --  Martyn Russell <martyn@imendio.com>  Fri, 16 Jun 2006 16:47:43 +0100

osso-backup (1.3.7-1) unstable; urgency=low

  * NB #31260 folder with special character cannot be backed up
  * NB #31138 wild card '?' not working in exclusion
  * NB #31391 merge from stable, improve the version checking
  * Remove dead code not used after UI spec changes

 --  Martyn Russell <martyn@imendio.com>  Fri,  9 Jun 2006 15:47:43 +0100

osso-backup (1.3.6-1) unstable; urgency=low

  * Update for new UI spec 4.0
  * NB #30682 make the name check case insensitive
  * NB #30731 no conflict dialog when folder is in way of file
  * NB #29605, #28154 ignore SIGTERM before calling the app-killer
  * NB #30573 backups can't be deleted

 --  Richard Hult <richard@imendio.com>  Fri,  2 Jun 2006 16:30:43 +0200

osso-backup (1.3.5-1) unstable; urgency=low

  * NB #30419 set the width of the progress dialog
  * NB #30658 make sudo restoring work for bookmarks

 --  Richard Hult <richard@imendio.com>  Wed, 24 May 2006 18:24:47 +0200

osso-backup (1.3.4-1) unstable; urgency=low

  * NB #27204 make the thumb mode build
  * Remove libosso-common-error from configure.in as well

 --  Richard Hult <richard@imendio.com>  Tue, 23 May 2006 08:36:13 +0200

osso-backup (1.3.3-1) unstable; urgency=low

  * NB #29763 add sudo restored files to the list of restored files
  * NB #28931 don't cancel when cover is open/USB cable is inserted
  * NB #29794 remove check for device version on restore and backup

