## osso-backup 1.4.4-2

=== debian/changelog ===
osso-backup (1.4.4-2) unstable; urgency=low

  * Fixes: NB#54226, Osso version string unrecognized

 -- Richard Hult <richard@imendio.com>  Mon, 16 Apr 2007 09:37:23 +0200
