=== debian/control ===
Source: osso-backup
Section: misc
Priority: optional
Maintainer: Erik Karlsson <erik.b.karlsson@nokia.com>
Build-Depends: debhelper (>> 3.0.0), libgtk2.0-dev (>= 2.4.0-1), pkg-config, libosso-gsf-1-dev (>= 1.11.10.4), libosso-dev, hildon-libs-dev, osso-af-settings, libssl-dev, libosso-gnomevfs2-dev, hildon-fm-dev, libosso-help-dev (>= 1.0.43), libogs1.2-dev (>= 1.3.0), libossomime-dev, osso-gnomevfs-extra-dev (>= 1.4.0), mce-dev (>= 0.9.1), libgconf2-dev
Standards-Version: 3.6.1

Package: osso-backup
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${launcher:Depends}, osso-app-killer, osso-backup-l10n-mr0 | osso-backup-l10n-mr, hildon-common-strings-l10n-mr0 | hildon-common-strings-l10n-mr
Description: Osso backup application
 Osso application for backing up and restoring user data.

Package: osso-backup-dev
Section: libdevel
Architecture: any
Depends: osso-backup (= ${Source-Version})
Description: Development files for osso-backup
 Development files for the backup application.

Package: osso-backup-dbg
Section: misc
Architecture: any
Depends: osso-backup (= ${Source-Version})
Description: Osso backup application debug symbols
 Osso application for backing, debug symbols.
